| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Variables
StreamInformation.m File Reference

Go to the source code of this file.

## Variables
NSString *const | StreamKeyIndex = @"index"
NSString *const | StreamKeyType = @"codec_type"
NSString *const | StreamKeyCodec = @"codec_name"
NSString *const | StreamKeyCodecLong = @"codec_long_name"
NSString *const | StreamKeyFormat = @"pix_fmt"
NSString *const | StreamKeyWidth = @"width"
NSString *const | StreamKeyHeight = @"height"
NSString *const | StreamKeyBitRate = @"bit_rate"
NSString *const | StreamKeySampleRate = @"sample_rate"
NSString *const | StreamKeySampleFormat = @"sample_fmt"
NSString *const | StreamKeyChannelLayout = @"channel_layout"
NSString *const | StreamKeySampleAspectRatio = @"sample_aspect_ratio"
NSString *const | StreamKeyDisplayAspectRatio = @"display_aspect_ratio"
NSString *const | StreamKeyAverageFrameRate = @"avg_frame_rate"
NSString *const | StreamKeyRealFrameRate = @"r_frame_rate"
NSString *const | StreamKeyTimeBase = @"time_base"
NSString *const | StreamKeyCodecTimeBase = @"codec_time_base"
NSString *const | StreamKeyTags = @"tags"

## Variable Documentation

## ◆ StreamKeyAverageFrameRate

NSString* const StreamKeyAverageFrameRate = @"avg_frame_rate"

Definition at line 35 of file StreamInformation.m.

## ◆ StreamKeyBitRate

NSString* const StreamKeyBitRate = @"bit_rate"

Definition at line 29 of file StreamInformation.m.

## ◆ StreamKeyChannelLayout

NSString* const StreamKeyChannelLayout = @"channel_layout"

Definition at line 32 of file StreamInformation.m.

## ◆ StreamKeyCodec

NSString* const StreamKeyCodec = @"codec_name"

Definition at line 24 of file StreamInformation.m.

## ◆ StreamKeyCodecLong

NSString* const StreamKeyCodecLong = @"codec_long_name"

Definition at line 25 of file StreamInformation.m.

## ◆ StreamKeyCodecTimeBase

NSString* const StreamKeyCodecTimeBase = @"codec_time_base"

Definition at line 38 of file StreamInformation.m.

## ◆ StreamKeyDisplayAspectRatio

NSString* const StreamKeyDisplayAspectRatio = @"display_aspect_ratio"

Definition at line 34 of file StreamInformation.m.

## ◆ StreamKeyFormat

NSString* const StreamKeyFormat = @"pix_fmt"

Definition at line 26 of file StreamInformation.m.

## ◆ StreamKeyHeight

NSString* const StreamKeyHeight = @"height"

Definition at line 28 of file StreamInformation.m.

## ◆ StreamKeyIndex

NSString* const StreamKeyIndex = @"index"

Definition at line 22 of file StreamInformation.m.

## ◆ StreamKeyRealFrameRate

NSString* const StreamKeyRealFrameRate = @"r_frame_rate"

Definition at line 36 of file StreamInformation.m.

## ◆ StreamKeySampleAspectRatio

NSString* const StreamKeySampleAspectRatio = @"sample_aspect_ratio"

Definition at line 33 of file StreamInformation.m.

## ◆ StreamKeySampleFormat

NSString* const StreamKeySampleFormat = @"sample_fmt"

Definition at line 31 of file StreamInformation.m.

## ◆ StreamKeySampleRate

NSString* const StreamKeySampleRate = @"sample_rate"

Definition at line 30 of file StreamInformation.m.

## ◆ StreamKeyTags

NSString* const StreamKeyTags = @"tags"

Definition at line 39 of file StreamInformation.m.

## ◆ StreamKeyTimeBase

NSString* const StreamKeyTimeBase = @"time_base"

Definition at line 37 of file StreamInformation.m.

## ◆ StreamKeyType

NSString* const StreamKeyType = @"codec_type"

Definition at line 23 of file StreamInformation.m.

## ◆ StreamKeyWidth

NSString* const StreamKeyWidth = @"width"

Definition at line 27 of file StreamInformation.m.